
struct PlayerInfo {
	int level;
	int score;
	int lives;
	int beans;
	int initialBeans;
	PlayerInfo() : level(1), score(0), lives(3), beans(5), 
		initialBeans(5), dead(false), deadTime(0), levelComplete(false) {};
	/* Used so we know when to restart the level. */
	bool dead;
	int deadTime;
	bool levelComplete;
	
	void nextLife() {
		lives --;
		dead = false;
		deadTime = 0;
		beans = initialBeans;
	}
	
	void nextLevel() {
		level ++;
		initialBeans = beans;
		levelComplete = false;
	}
};

extern PlayerInfo playerInfo;

